> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tags

> Retrieve all tags associated with a specific asset.



## OpenAPI

````yaml get /workspaces/assets/{asset_id}/tags
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/assets/{asset_id}/tags:
    get:
      tags:
        - Asset Tag
      description: Retrieve all tags associated with a specific asset.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: path
          name: asset_id
          required: true
          schema:
            type: string
          description: The ID of the asset
      responses:
        '200':
          description: A list of tags
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Tag'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    Tag:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the workspace tag.
        workspace_id:
          type: string
          description: Identifier of the workspace to which the tag belongs.
        name:
          type: string
          description: Name of the workspace tag.
        color:
          type: string
          description: Color associated with the workspace tag.
        created_by_user_id:
          type: string
          description: Identifier of the user who created the tag.
        sequence:
          type: integer
          format: int64
          description: Sequence number for ordering tags.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````